$(document).ready(function()
{	
//acesso
    $('#rec_senha_form').submit(function(event){	

		var email = $('#rec_senha_form input[id=email_rec]').val()
		
		var target = base_url +"auth/auth/esqueci_a_senha";
		
		var data = {
				email: email,
			}
		
		$.ajax({
			url: target,
			dataType: 'json',
			type: 'POST',
			data: data,
			success: function(retorno)
			{		
				if (retorno.valid === true)
				{
					$("#on-success-hide").hide();
					$("#submit-pass-btn").hide();
			        
			        $('#content-error-nova-senha').show();
			        $('#content-error-nova-senha').html('<label class="error-login">'+retorno.msg+'</label>').addClass('text-success').removeClass('text-danger');
				}
				else
				{
					$("input[id=email_rec]").val("");			           
			        
			        $('#content-error-nova-senha').show();
			        $('#content-error-nova-senha').html('<label class="error-login">'+retorno.msg+'</label>').addClass('text-danger');
				}
			},
			error: function(error)
			{
				$("input[id=email_rec]").val("");
				
				$('#content-error-nova-senha').show();
			    $('#content-error-nova-senha').html('<label class="error-login">Não foi possível enviar o email. Tente novamente mais tarde.</label>').addClass('text-danger');
			}
		});
		return false;
	})
	
	 $('#form_nova_senha').submit(function(event){	
	     
        event.preventDefault();
        
		var nova_senha       = $('#form_nova_senha input[id=nova_senha]').val()
		var conf_nova_senha  = $('#form_nova_senha input[id=conf_nova_senha]').val()
		
		var target = base_url +"auth/auth/atualizar_senha";
		
		var data = {
				nova_senha: nova_senha,
				conf_nova_senha: conf_nova_senha
			}
			
			console.log(data)
		
		$.ajax({
			url: target,
			dataType: 'json',
			type: 'POST',
			data: data,
			success: function(retorno)
			{		
				if (retorno.valid === true)
				{
				    $("#modal-body").hide();
			        
			        $('#modal-success').show();
			        $('#alert-nova-senha').html('<p>'+retorno.msg+'</p>');
				}
				else
				{
					$("input[id=nova_senha]").val("");
					$("input[id=conf_nova_senha]").val("");		           
			        
			        $('#content-error-senha').show();
			        $('#content-error-senha').html('<label class="error-login">'+retorno.msg+'</label>');
				}
			},
			error: function(error)
			{
				$("input[id=nova_senha]").val("");
				$("input[id=conf_nova_senha]").val("");
				
				$('#content-error-senha').show();
			    $('#content-error-senha').html('<label class="error-login">Não foi possível atualizar a senha. Tente novamente mais tarde.</label>');
			}
		});
		return false;
	})    
});